Zercurity data services
  • Summary
  • Applications (7)
  • Packages (0)
  • Vulnerabilities (10)

linux-tools-4.10.0-23

Hashes
Linux kernel version specific tools for version 4.10.0-23 This package provides the architecture dependant parts for kernel version locked tools (such as perf and x86_energy_perf_policy) for version 4.10.0-23 on 64 bit x86. You probably want to install linux-tools-4.10.0-23-<flavour>.
  • SHA256: 9db31d3e7463507bdb335c8e8e73eed80563383c5ab046ec589a08a72468cd4a
  • SHA1: e4ea958329058ee97d7efac6a046633efb4aabce
  • MD5: 5c0644f70a5dd3d364ea6d94eb5b1f3d
Information
  • Version: 4.10.0-23.25
  • Filename: linux-tools-4.10.0-23_4.10.0-23.25_amd64.deb
  • Size: 4724
  • Type: DEB
  • Source: linux
  • Architecture: AMD64
  • Owner: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
  • Dependencies: binutils (>= 2.28), binutils (<< 2.29), libaudit1 (>= 1:2.2.1), libc6 (>= 2.14), libdw1 (>= 0.157), libelf1 (>= 0.144), liblzma5 (>= 5.1.1alpha+20120614), libpci3 (>= 1:3.3.1-1), libslang2 (>= 2.2.4), libudev1 (>= 183), libunwind8, zlib1g (>= 1:1.1.4), linux-tools-common

Applications

NameTypeArchSizeRisk
libcpupower.so.4.10.0-23
/usr/lib/libcpupower.so.4.10.0-23
227040
usbip
/usr/lib/linux-tools-4.10.0-23/usbip
675440
turbostat
/usr/lib/linux-tools-4.10.0-23/turbostat
769040
cpupower
/usr/lib/linux-tools-4.10.0-23/cpupower
752240
perf
/usr/lib/linux-tools-4.10.0-23/perf
42916400
usbipd
/usr/lib/linux-tools-4.10.0-23/usbipd
554400
x86_energy_perf_policy
/usr/lib/linux-tools-4.10.0-23/x86_energy_perf_policy
101200

Vulnerabilities

Raw Object

{
  "sha256": "9db31d3e7463507bdb335c8e8e73eed80563383c5ab046ec589a08a72468cd4a",
  "sha1": "e4ea958329058ee97d7efac6a046633efb4aabce",
  "md5": "5c0644f70a5dd3d364ea6d94eb5b1f3d",
  "type": "DEB",
  "arch": "AMD64",
  "name": "linux-tools-4.10.0-23",
  "filename": "linux-tools-4.10.0-23_4.10.0-23.25_amd64.deb",
  "size": 4724,
  "description": "Linux kernel version specific tools for version 4.10.0-23\nThis package provides the architecture dependant parts for kernel\nversion locked tools (such as perf and x86_energy_perf_policy) for\nversion 4.10.0-23 on\n64 bit x86.\nYou probably want to install linux-tools-4.10.0-23-<flavour>.",
  "url": null,
  "version": "4.10.0-23.25",
  "source": "linux",
  "owner": "Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>",
  "dependencies": "binutils (>= 2.28), binutils (<< 2.29), libaudit1 (>= 1:2.2.1), libc6 (>= 2.14), libdw1 (>= 0.157), libelf1 (>= 0.144), liblzma5 (>= 5.1.1alpha+20120614), libpci3 (>= 1:3.3.1-1), libslang2 (>= 2.2.4), libudev1 (>= 183), libunwind8, zlib1g (>= 1:1.1.4), linux-tools-common",
  "applications": [
    {
      "path": "/usr/lib/libcpupower.so.4.10.0-23",
      "sha256": "a31a4e08c5d8f5b41f153900f62c39c729932a9f27956102e0534014572760e3",
      "sha1": "a15897f30a060becd3beae6770d3161ba0203260",
      "md5": "3843edc8e8bbd54d13264562c4263fe8",
      "name": "libcpupower.so.4.10.0-23",
      "size": 22704,
      "description": null,
      "package": 2826310,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-03-23T05:13:20+00:00",
      "updated_at": "2021-03-23T05:13:20+00:00",
      "deleted_at": null
    },
    {
      "path": "/usr/lib/linux-tools-4.10.0-23/usbip",
      "sha256": "2b3641ea43f710d73cb46d1836d6cb4ccdcaa0d16579acb61e2d2e2383371dce",
      "sha1": "4654987508f656ca6d9a1577b7d70b0d2b3456b0",
      "md5": "b59895972c32b2bf992e6f06372858ba",
      "name": "usbip",
      "size": 67544,
      "description": null,
      "package": 2826310,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-03-23T05:13:20+00:00",
      "updated_at": "2021-03-23T05:13:20+00:00",
      "deleted_at": null
    },
    {
      "path": "/usr/lib/linux-tools-4.10.0-23/turbostat",
      "sha256": "c2d2611d054949debb51fc8c83e5295129da087abc89d07f7b6fbaa252494013",
      "sha1": "e1e83e6cbf767ef42ec264afc6113ee6e1b85a33",
      "md5": "66bfcec4def2812d64dd741579a05216",
      "name": "turbostat",
      "size": 76904,
      "description": null,
      "package": 2826310,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-03-23T05:13:20+00:00",
      "updated_at": "2021-03-23T05:13:20+00:00",
      "deleted_at": null
    },
    {
      "path": "/usr/lib/linux-tools-4.10.0-23/cpupower",
      "sha256": "1211dea70a7a4ab43bd866cbb62d182a7b4a0eac20e7d760595eadeb65ab80c4",
      "sha1": "7b185c36a102c11129a7243a8778871e8beae102",
      "md5": "a26825be14753cad6eb694ada4162220",
      "name": "cpupower",
      "size": 75224,
      "description": null,
      "package": 2826310,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-03-23T05:13:21+00:00",
      "updated_at": "2021-03-23T05:13:21+00:00",
      "deleted_at": null
    },
    {
      "path": "/usr/lib/linux-tools-4.10.0-23/perf",
      "sha256": "b27e0019d629338e23812eb2252debe239d29543837d00bbac8758298a4d05b6",
      "sha1": "4a6f81676b7e24b2a8680ef00cdf6f769b24f791",
      "md5": "ff967924b4d879233c876ad53cc1ee70",
      "name": "perf",
      "size": 4291640,
      "description": null,
      "package": 2826310,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-03-23T05:13:21+00:00",
      "updated_at": "2021-03-23T05:13:21+00:00",
      "deleted_at": null
    },
    {
      "path": "/usr/lib/linux-tools-4.10.0-23/usbipd",
      "sha256": "c107234c5118f1506343e57b18b88cddde36ee468e5d6696dd4415c3566b1231",
      "sha1": "2647e2efbaca9412fcdba021e97033b08baa8370",
      "md5": "c07d5c78e3bd60f4408d52977029c641",
      "name": "usbipd",
      "size": 55440,
      "description": null,
      "package": 2826310,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-03-23T05:13:21+00:00",
      "updated_at": "2021-03-23T05:13:21+00:00",
      "deleted_at": null
    },
    {
      "path": "/usr/lib/linux-tools-4.10.0-23/x86_energy_perf_policy",
      "sha256": "a1fde5179508a97ea6c72561f62cb4cb79256e246a713e669a2272ecd2c7f0ab",
      "sha1": "1c4992116acdbf8abbfff29880a9c785d12e65df",
      "md5": "7001c77386c24a5fcacab770a9b1c854",
      "name": "x86_energy_perf_policy",
      "size": 10120,
      "description": null,
      "package": 2826310,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-03-23T05:13:21+00:00",
      "updated_at": "2021-03-23T05:13:21+00:00",
      "deleted_at": null
    }
  ],
  "vulnerabilities": [
    {
      "name": "CVE-2017-1000364",
      "risk": 74,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "f6bd7444468259a07574a79df78dd608182bf7c6a9919b16808a4d59a5ac3475",
        "name": "linux-doc",
        "version": "4.10.0-24.28",
        "filename": "linux-doc_4.10.0-24.28_all.deb"
      },
      "created_at": "2021-10-16T03:31:02+00:00",
      "updated_at": "2021-10-16T03:31:02+00:00"
    },
    {
      "name": "CVE-2017-1000379",
      "risk": 78,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "f6bd7444468259a07574a79df78dd608182bf7c6a9919b16808a4d59a5ac3475",
        "name": "linux-doc",
        "version": "4.10.0-24.28",
        "filename": "linux-doc_4.10.0-24.28_all.deb"
      },
      "created_at": "2021-10-16T03:57:48+00:00",
      "updated_at": "2021-10-16T03:57:48+00:00"
    },
    {
      "name": "CVE-2017-1000379",
      "risk": 78,
      "source": "USN",
      "sid": null,
      "fixed": null,
      "created_at": "2021-04-06T14:55:44+00:00",
      "updated_at": "2021-04-06T14:55:44+00:00"
    },
    {
      "name": "CVE-2017-1000364",
      "risk": 74,
      "source": "USN",
      "sid": "USN-3338-1",
      "fixed": null,
      "created_at": "2021-04-06T15:35:52+00:00",
      "updated_at": "2021-04-06T15:35:52+00:00"
    },
    {
      "name": "CVE-2017-1000364",
      "risk": 74,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "95bc171c0af794e64040252e9c7c0b3041febb43a3fe870527d9ff482e5fde2e",
        "name": "linux-cloud-tools-common",
        "version": "4.10.0-24.28",
        "filename": "linux-cloud-tools-common_4.10.0-24.28_all.deb"
      },
      "created_at": "2021-07-17T11:37:05+00:00",
      "updated_at": "2021-07-17T11:37:05+00:00"
    },
    {
      "name": "CVE-2017-1000379",
      "risk": 78,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "95bc171c0af794e64040252e9c7c0b3041febb43a3fe870527d9ff482e5fde2e",
        "name": "linux-cloud-tools-common",
        "version": "4.10.0-24.28",
        "filename": "linux-cloud-tools-common_4.10.0-24.28_all.deb"
      },
      "created_at": "2021-07-17T13:58:28+00:00",
      "updated_at": "2021-07-17T13:58:28+00:00"
    },
    {
      "name": "CVE-2017-1000364",
      "risk": 74,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "9408d6606399fc2db0a082016fe5dd1f27ab995e601c89dafa8050ad09d60d2a",
        "name": "linux-libc-dev",
        "version": "4.10.0-24.28",
        "filename": "linux-libc-dev_4.10.0-24.28_i386.deb"
      },
      "created_at": "2021-07-17T22:21:38+00:00",
      "updated_at": "2021-07-17T22:21:38+00:00"
    },
    {
      "name": "CVE-2017-1000379",
      "risk": 78,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "9408d6606399fc2db0a082016fe5dd1f27ab995e601c89dafa8050ad09d60d2a",
        "name": "linux-libc-dev",
        "version": "4.10.0-24.28",
        "filename": "linux-libc-dev_4.10.0-24.28_i386.deb"
      },
      "created_at": "2021-07-17T22:59:28+00:00",
      "updated_at": "2021-07-17T22:59:28+00:00"
    },
    {
      "name": "CVE-2017-1000364",
      "risk": 74,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "a9d1ff98a0e815d74e39f48e603e279ee0b1af88bdef6a8148f83ff1205affbd",
        "name": "linux-tools-common",
        "version": "4.10.0-24.28",
        "filename": "linux-tools-common_4.10.0-24.28_all.deb"
      },
      "created_at": "2021-07-18T21:38:20+00:00",
      "updated_at": "2021-07-18T21:38:20+00:00"
    },
    {
      "name": "CVE-2017-1000379",
      "risk": 78,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "a9d1ff98a0e815d74e39f48e603e279ee0b1af88bdef6a8148f83ff1205affbd",
        "name": "linux-tools-common",
        "version": "4.10.0-24.28",
        "filename": "linux-tools-common_4.10.0-24.28_all.deb"
      },
      "created_at": "2021-07-18T22:07:21+00:00",
      "updated_at": "2021-07-18T22:07:21+00:00"
    }
  ],
  "risk": 78,
  "vulnerable": 78,
  "outdated": 0,
  "malicious": 0,
  "created_at": "2017-06-09T17:39:22+00:00",
  "updated_at": "2021-03-23T05:13:20+00:00",
  "deleted_at": null
}